> ## Documentation Index
> Fetch the complete documentation index at: https://docs.millis.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Call Histories



## OpenAPI

````yaml get /call-logs
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api-west.millis.ai
    description: US Region API Gateway
  - url: https://api-eu-west.millis.ai
    description: EU Region API Gateway
security: []
paths:
  /call-logs:
    get:
      tags:
        - Call Logs
      summary: List Call Histories
      operationId: list_call_histories_call_logs_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            exclusiveMinimum: 0
            description: Number of records to return per page. Max 100.
            default: 20
            title: Limit
          description: Number of records to return per page. Max 100.
        - name: start_after_ts
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            description: >-
              Cursor for pagination. This should be the 'next_cursor' value
              returned from a previous request.
            title: Start After Ts
          description: >-
            Cursor for pagination. This should be the 'next_cursor' value
            returned from a previous request.
        - name: start_time
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            description: Start of time window filter (Unix timestamp).
            title: Start Time
          description: Start of time window filter (Unix timestamp).
        - name: end_time
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            description: End of time window filter (Unix timestamp).
            title: End Time
          description: End of time window filter (Unix timestamp).
        - name: agent_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by specific agent ID.
            title: Agent Id
          description: Filter by specific agent ID.
        - name: call_status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by call status (e.g., COMPLETED, FAILED, etc.).
            title: Call Status
          description: Filter by call status (e.g., COMPLETED, FAILED, etc.).
        - name: phone_number
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by phone number (searches in voip field).
            title: Phone Number
          description: Filter by phone number (searches in voip field).
        - name: authorization
          in: header
          required: true
          schema:
            type: string
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedCallHistoryResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PaginatedCallHistoryResponse:
      properties:
        histories:
          items:
            $ref: '#/components/schemas/fast_api_data__history__CallHistory'
          type: array
          title: Histories
        next_cursor:
          anyOf:
            - type: number
            - type: 'null'
          title: Next Cursor
      type: object
      required:
        - histories
      title: PaginatedCallHistoryResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    fast_api_data__history__CallHistory:
      properties:
        agent_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Agent Id
        agent_config:
          anyOf:
            - type: object
            - type: 'null'
          title: Agent Config
        duration:
          anyOf:
            - type: number
            - type: 'null'
          title: Duration
        ts:
          anyOf:
            - type: number
            - type: 'null'
          title: Ts
        chat:
          anyOf:
            - type: string
            - type: 'null'
          title: Chat
        chars_used:
          anyOf:
            - type: integer
            - type: 'null'
          title: Chars Used
        session_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Session Id
        call_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Call Id
        cost_breakdown:
          anyOf:
            - items:
                type: object
              type: array
            - type: 'null'
          title: Cost Breakdown
        voip:
          anyOf:
            - type: object
            - type: 'null'
          title: Voip
        recording:
          anyOf:
            - type: object
            - type: 'null'
          title: Recording
        metadata:
          anyOf:
            - type: object
            - type: 'null'
          title: Metadata
        function_calls:
          anyOf:
            - items:
                type: object
              type: array
            - type: 'null'
          title: Function Calls
        call_status:
          anyOf:
            - $ref: '#/components/schemas/fast_api_data__data__CallStatus'
            - type: 'null'
      type: object
      title: CallHistory
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    fast_api_data__data__CallStatus:
      type: string
      enum:
        - registered
        - queued
        - dispatching
        - provider_queued
        - initiated
        - ringing
        - in-progress
        - user-ended
        - agent-ended
        - api-ended
        - voicemail-hangup
        - voicemail-message
        - timeout
        - canceled
        - busy
        - no-answer
        - failed
        - error
        - unknown
        - chat_completion
      title: CallStatus

````